com.h3c.of.lib.instr

## Class InstrMutableWriteActions

- java.lang.Object
- - com.h3c.of.lib.OpenflowStructure
  - - com.h3c.of.lib.instr.Instruction
    - - com.h3c.of.lib.instr.InstrMutableAction
      - - com.h3c.of.lib.instr.InstrMutableWriteActions

- All Implemented Interfaces:
    MutableObject, MutableStructure, Structure

      public class InstrMutableWriteActions
      extends InstrMutableAction

  Mutable version of `InstrWriteActions`.

- - ### Field Summary

    - ### Fields inherited from class com.h3c.of.lib.OpenflowStructure

      `version`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toDebugString(int indent)` Returns a string representation useful for debugging.
    `OpenflowStructure` | `toImmutable()` Returns an immutable instance of this structure.
    `protected void` | `validateActions()` Subclasses should validate the actions, and silently return if all is well.

    - ### Methods inherited from class com.h3c.of.lib.instr.InstrMutableAction

      `addAction, toString, writable`

    - ### Methods inherited from class com.h3c.of.lib.instr.Instruction

      `getInstructionType, getTotalLength, toDebugString`

    - ### Methods inherited from class com.h3c.of.lib.OpenflowStructure

      `getVersion, hex, hex, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.of.lib.Structure

      `getVersion, toDebugString`

- - ### Method Detail

    - #### validateActions

          protected void validateActions()

      Description copied from class: `InstrMutableAction`
      Subclasses should validate the actions, and silently return if all is well. If a problem is detected, a ValidationException should be thrown.
      Specified by:
        `validateActions` in class `InstrMutableAction`

    - #### toImmutable

          public OpenflowStructure toImmutable()

      Description copied from interface: `MutableStructure`
      Returns an immutable instance of this structure. In essence, converts this structure to be read-only.

      It is expected that the reference to this mutable structure will be dropped. Note that all method calls invoked on a `MutableStructure` after `toImmutable()` has been invoked will result in an `InvalidMutableException` being thrown.

      Returns:
        an immutable instance of this structure.

    - #### toDebugString

          public String toDebugString(int indent)

      Description copied from class: `Instruction`
      Returns a string representation useful for debugging. This default implementation delegates to `Instruction.toString()`, but subclasses are free to override this behavior.
      Overrides:
        `toDebugString` in class `Instruction`
      Parameters:
        `indent` - the number of spaces with which to prefix each line
      Returns:
        a (possibly multi-line) string representation of this instruction

Copyright © 2014. All Rights Reserved.